#-------------------------------------------------------------------------------
#
# CONFIGURATION FILE FOR MENTAT-precache.py MODULE
#
#-------------------------------------------------------------------------------

{
    #---------------------------------------------------------------------------
    # Custom script configurations
    #---------------------------------------------------------------------------

    # List of maintained cache folders.
    #   default: empty list
    #   type:    list of dicts
    #
    "itemsets": [
        ["itemset-stat-categories",       "category"],
        ["itemset-stat-sourcetypes",      "source_type"],
        ["itemset-stat-targettypes",      "target_type"],
        ["itemset-stat-detectors",        "node_name"],
        ["itemset-stat-detectortypes",    "node_type"],
        ["itemset-stat-protocols",        "protocol"],
        ["itemset-stat-groups",           "resolvedabuses"],
        ["itemset-stat-classes",          "eventclass"],
        ["itemset-stat-severities",       "eventseverity"],
        ["itemset-stat-inspectionerrors", "inspectionerrors"]
    ],

    # Allow storing empty item sets as valid result (flag).
    #   default: false
    #   type:    boolean
    #"allow_empty": false,

    # Filesystem path to cache directory.
    #   default: "/var/mentat/cache"
    #   type:    string
    #"cache_dir": "/var/mentat/cache",

    #---------------------------------------------------------------------------
    # Common script configurations
    #---------------------------------------------------------------------------

    #"regular": false,
    #"shell": false,
    #"command": "precache",
    "interval": "10_minutes",
    #"adjust_thresholds": false,
    #"time_high": null,

    #---------------------------------------------------------------------------
    # Common application configurations
    #---------------------------------------------------------------------------

    #"quiet": false,
    #"verbosity": 0,
    #"log_file": "/var/mentat/log/mentat-precache.py.log",
    #"log_level": "info",
    #"runlog_dir": "/var/mentat/run/mentat-precache.py",
    #"runlog_dump": false,
    #"runlog_log": false,
    #"pstate_file": "/var/mentat/run/mentat-precache.py.pstate",
    #"pstate_dump": false,
    #"pstate_log": false,
    #"action": null,
    #"user": "mentat",
    #"group": "mentat",

    # This is a dummy last configuration so that the user does not have to fix
    # the commas in the whole configuration file after each change.
    "_dummy_": "_dummy_"
}
